Initialize a background audio upload (returns presigned URL)
curl --request POST \
--url https://api.pineyard.ai/background-audio/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "<string>",
"label": "<string>",
"mimeType": "<string>",
"sizeBytes": 1
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({slug: '<string>', label: '<string>', mimeType: '<string>', sizeBytes: 1})
};
fetch('https://api.pineyard.ai/background-audio/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/background-audio/upload"
payload = {
"slug": "<string>",
"label": "<string>",
"mimeType": "<string>",
"sizeBytes": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"uploadUrl": "<string>"
}Background audio
Initialize a background audio upload (returns presigned URL)
POST
/
background-audio
/
upload
Initialize a background audio upload (returns presigned URL)
curl --request POST \
--url https://api.pineyard.ai/background-audio/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "<string>",
"label": "<string>",
"mimeType": "<string>",
"sizeBytes": 1
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({slug: '<string>', label: '<string>', mimeType: '<string>', sizeBytes: 1})
};
fetch('https://api.pineyard.ai/background-audio/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/background-audio/upload"
payload = {
"slug": "<string>",
"label": "<string>",
"mimeType": "<string>",
"sizeBytes": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"uploadUrl": "<string>"
}Required scope:
background_audio.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Body
application/json

